%define rname	youri-core
%define name	mdv-%{rname}
%define version 0.9
%define svn	20090417
%define rel	1
%define release %mkrel 1.%{svn}.%{rel}
%define distname %{rname}-%{version}-%{svn}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Youri Offers an Upload & Repository Infrastucture (Mandriva fork)
License:	GPL or Artistic
Group:		Development/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		%{distname}.tar.bz2
Url:		http://youri.zarb.org
Requires:	perl-YAML
BuildRequires:	perl(Test::Distribution)
BuildRequires:	perl(Pod::Simple::HTMLBatch)
BuildRequires:	perl(DateTime::Format::Duration)
BuildRequires:  perl(CGI)
BuildRequires:  perl(XML::RSS)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(SOAP::Lite)
BuildRequires:  perl(MIME::Entity)
BuildRequires:  perl(URPM)
BuildRequires:  perl(DBI)
BuildRequires:  perl(YAML)
BuildRequires:  perl(XML::Twig)
BuildRequires:  perl(Expect)
BuildRequires:  perl(AppConfig)
Buildarch:	noarch

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This package contains YOURI core components used by the Mandriva build system.

%prep
%setup -q -n %{distname}

%build
%{__perl} Makefile.PL \
  INSTALLDIRS=vendor \
  INSTALLVENDORLIB=%{_datadir}/%{name}/lib
%make pure_all

%install
rm -rf %{buildroot}
%make DESTDIR=%{buildroot} pure_install

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog README
%{_datadir}/%{name}/lib/Youri


%changelog
* Sat Apr 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.9-1.20090417.1mdv2009.1
+ Revision: 367945
- catch kernel debug packages (spuk)
- fixed removal of old binary DKMS on kernel package upload (pterjan)

* Fri Jan 23 2009 Pascal Terjan <pterjan@mandriva.org> 0.9-1.20090123.1mdv2009.1
+ Revision: 333053
- Remove old kernels and dkms when uploading a new one

* Thu Feb 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9-1.20071219.2mdv2009.0
+ Revision: 168123
- fix no-buildroot-tag

* Tue Jan 22 2008 Olivier Blin <oblin@mandriva.com> 0.9-1.20071219.2mdv2008.1
+ Revision: 156039
- require perl-YAML

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9-1.20071219.1mdv2008.1
+ Revision: 136468
- initial mdv-youri-core package
- rename as mdv-youri-core
- create mdv-youri

